Avro C++

Public Member Functions | List of all members
avro::Serializer< Writer > Class Template Reference

Class that wraps a Writer or ValidatingWriter with an interface that uses explicit write* names instead of writeValue. More...

`#include <Serializer.hh>`

Inheritance diagram for avro::Serializer< Writer >:

## Public Member Functions
| Serializer ()
| Constructor only works with Writer.
| Serializer (const ValidSchema &schema)
| Constructor only works with ValidatingWriter.
void | writeNull ()
void | writeBool (bool val)
void | writeInt (int32_t val)
void | writeLong (int64_t val)
void | writeFloat (float val)
void | writeDouble (double val)
void | writeBytes (const void *val, size_t size)
template<size_t N>
void | writeFixed (const uint8_t(&val)[N])
template<size_t N>
void | writeFixed (const std::array< uint8_t, N > &val)
void | writeString (const std::string &val)
void | writeRecord ()
void | writeRecordEnd ()
void | writeArrayBlock (int64_t size)
void | writeArrayEnd ()
void | writeMapBlock (int64_t size)
void | writeMapEnd ()
void | writeUnion (int64_t choice)
void | writeEnum (int64_t choice)
InputBuffer | buffer () const

## Detailed Description

### template<class Writer>
class avro::Serializer< Writer >

Class that wraps a Writer or ValidatingWriter with an interface that uses explicit write* names instead of writeValue.

The documentation for this class was generated from the following file:

- api/Serializer.hh